- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.LegacySearchDomainsRecentlyRegisteredResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchDomainsRecentlyRegistered#body.aspect_1)

**Full name**: projects.locations.instances.legacy.legacySearchDomainsRecentlyRegistered

Given a list of domain names and a time, returns only the domains that were recently registered relative to that time.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacy:legacySearchDomainsRecentlyRegistered`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. Chronicle instance this request is sent to. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `domains[]` | `string` Required. The list of domains we want to run the check over. At least one domain is required. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The end time we define "recently" from. A domain is considered newly registered if it was registered some T time period before this timestamp. T is defined by the frontend API server. Required Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `limit` | `integer` Optional. The maximum number of newly registered domains to return. If unset or set to 0, default limit will be used by backend. |

### Request body

The request body must be empty.

### Response body

The response to a request to find out if domains were recently registered.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "recentlyRegisteredDomains": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DomainAndTime`) } ] } ``` |

| Fields ||
|---|---|
| `recentlyRegisteredDomains[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DomainAndTime`)`` A list of domains that were recently registered, along with the time they were registered (in no particular order). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacies.legacySearchDomainsRecentlyRegistered`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).